Base_val Mathematics
Spectral representation.

() More...

## Functions

Base_val | Lorene::operator* (const Base_val &b1, const Base_val &b2)
| This operator is used when calling multiplication or division of `Valeur` .

## Detailed Description

()

## Function Documentation

## operator*()

Base_val Lorene::operator* | ( | const Base_val & | b1,
|  | const Base_val & | b2 )

This operator is used when calling multiplication or division of `Valeur` .

It returns the appropriate base, taking into account the symmetry of the result. The calculation propreties are those of the multiplication of -1 for antisymmetry and 1 for symmetry.

Should the product of the `Base_val` not be possible, the result is set to `ETATNONDEF` , (state not defined). It would be the case, for example, if one and only one of the `Valeur` is given in spherical harmonics.

Definition at line 102 of file base_val_mult.C.